[arch-commits] Commit in qemu-kvm/repos (3 files)

Tobias Powalowski tpowa at archlinux.org
Sun Jan 24 05:44:24 EST 2010


    Date: Sunday, January 24, 2010 @ 05:44:23
  Author: tpowa
Revision: 65095

Merged revisions 62692,65091 via svnmerge from 
svn+ssh://tpowa@gerolde.archlinux.org/srv/svn-packages/qemu-kvm/trunk

........
  r62692 | jgc | 2010-01-11 09:26:59 +0000 (Mo, 11 Jan 2010) | 2 lines
  
  Makedepend on texi2html and perl to fix documentation building
  Remove old crap from install scriptlet
........
  r65091 | tpowa | 2010-01-24 10:32:58 +0000 (So, 24 Jan 2010) | 2 lines
  
  upgpkg: qemu-kvm 0.12.2-1
      bump to latest version
........

Modified:
  qemu-kvm/repos/extra-i686/	(properties)
  qemu-kvm/repos/extra-i686/PKGBUILD
  qemu-kvm/repos/extra-i686/qemu-kvm.install

------------------+
 PKGBUILD         |   15 +++++++++++----
 qemu-kvm.install |   11 +++++------
 2 files changed, 16 insertions(+), 10 deletions(-)


Property changes on: qemu-kvm/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /qemu-kvm/trunk:1-62266
   + /qemu-kvm/trunk:1-65094

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-24 10:40:07 UTC (rev 65094)
+++ extra-i686/PKGBUILD	2010-01-24 10:44:23 UTC (rev 65095)
@@ -1,32 +1,39 @@
 # $Id$
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=qemu-kvm
-pkgver=0.12.1.2
+pkgver=0.12.2
 pkgrel=1
 pkgdesc="Latest KVM QEMU is a generic and open source processor emulator which achieves a good emulation speed by using dynamic translation."
 arch=(i686 x86_64)
 license=('GPL2' 'LGPL2.1')
 url="http://www.linux-kvm.org"
 depends=('libsasl' 'curl' 'sdl' 'alsa-lib' 'esound' 'gnutls>=2.4.1' 'bluez' 'vde2' 'util-linux-ng')
+makedepends=('texi2html' 'perl')
 install=qemu-kvm.install
 conflicts=('qemu')
 provides=('qemu')
 replaces=('kvm')
-source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz
+source=(http://downloads.sourceforge.net/kvm/${pkgname}-${pkgver}.tar.gz
         65-kvm.rules)
 
 build()
 {
     cd ${srcdir}/${pkgname}-${pkgver}
     # fix esound building
-    ./configure --prefix=/usr --audio-drv-list=alsa,sdl,oss,esd --audio-card-list=ac97,sb16,es1370,adlib
+    ./configure --prefix=/usr \
+                --audio-drv-list=alsa,sdl,oss,esd \
+                --audio-card-list=ac97,sb16,es1370,adlib \
+                --enable-docs || return 1
     make || return 1
     make DESTDIR=${pkgdir} install || return 1
     # symbolic link for backwards compatibility
     ln -s qemu-system-x86_64 ${pkgdir}/usr/bin/qemu-kvm
+    # fix man page
+    mv ${pkgdir}/usr/share/man/man1/qemu.1 \
+                     ${pkgdir}/usr/share/man/man1/qemu-kvm.1
     # install udev rules
     install -D -m644 ${srcdir}/65-kvm.rules \
                      ${pkgdir}/lib/udev/rules.d/65-kvm.rules
 }
-md5sums=('a5815ce191353751a32db20b7bf15403'
+md5sums=('8e6f3666de038c2ee11cebc45ffa89e4'
          'b316a066d2f1bb57d8f5b7ea1d0d1caf')

Modified: extra-i686/qemu-kvm.install
===================================================================
--- extra-i686/qemu-kvm.install	2010-01-24 10:40:07 UTC (rev 65094)
+++ extra-i686/qemu-kvm.install	2010-01-24 10:44:23 UTC (rev 65095)
@@ -1,6 +1,10 @@
-# kvm:  the new package version
 post_install() {
   groupadd kvm -f -g 78
+  echo ">>> PLEASE READ FOR KVM USAGE!"
+  echo ">>>  Load the correct KVM module, you will need a KVM capable CPU!"
+  echo ">>>  Add yourself to the group 'kvm'."
+  echo ">>>  Use 'qemu-kvm -enable-kvm' to use KVM."
+  echo ""
 }
 
 post_upgrade() {
@@ -8,10 +12,5 @@
 }
 
 post_remove() {
-  #
   groupdel kvm
 }
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list